<div class="overlay fade" [class.show]="isOpen" (click)="!$event.target.classList.contains('overlay') || close()">
    <div class="modal slide" [class.down]="isOpen" [class.large]="large">

        <div class="modal-header">
            <h2 class="modal-title">{{title}}</h2>
            <h6 *ngIf="subtitle" class="modal-subtitle">{{subtitle}}</h6>
            
            <button class="modal-close" (click)="close()">
                <i class="las la-times"></i>
            </button>
        </div>

        <div class="modal-body" [class.scroller]="scroller" [class.no-footer]="noFooter">
            <ng-content></ng-content>
        </div>

        <div class="modal-footer" *ngIf="!noFooter">
            <button 
            [class]="confirmClass" 
            (click)="confirm()" 
            [class.loading]="loading" 
            [class.disabled]="disableConfirm">
                <app-loader *ngIf="loading" [inline]="true"></app-loader>
                {{confirmText}}
            </button>
        </div>

    </div>
</div>